| Version: 3.2.5

Classes | Macros | Functions
translation.h File Reference

## Classes

class | wxTranslations
| This class allows getting translations for strings. More...
class | wxTranslationsLoader
| Abstraction of translations discovery and loading. More...
class | wxFileTranslationsLoader
| Standard wxTranslationsLoader implementation. More...
class | wxResourceTranslationsLoader
| This loader makes it possible to load translations from Windows resources. More...
class | wxMsgCatalog
| Represents a loaded translations message catalog. More...

## Macros

#define | wxPLURAL(string, plural, n)
| This macro is identical to _() but for the plural variant of wxGetTranslation(). More...
#define | wxGETTEXT_IN_CONTEXT(context, string)
| Similar to _() but translates the string in the given context. More...
#define | wxGETTEXT_IN_CONTEXT_PLURAL(context, string, plural, n)
| Similar to wxPLURAL() but translates the string in the given context. More...
#define | wxTRANSLATE(string)
| This macro doesn't do anything in the program code – it simply expands to the value of its argument. More...
#define | wxTRANSLATE_IN_CONTEXT(context, string)
| This macro doesn't do anything in the program code – it simply expands to the value of its argument. More...

## Functions

const wxString & | wxGetTranslation (const wxString &string, const wxString &domain=wxEmptyString, const wxString &context=wxEmptyString)
| This function returns the translation of string in the current `locale()`. More...
const wxString & | wxGetTranslation (const wxString &string, const wxString &plural, unsigned n, const wxString &domain=wxEmptyString, const wxString &context=wxEmptyString)
| This is an overloaded version of wxGetTranslation(const wxString&, const wxString&), please see its documentation for general information. More...
const wxString & | _ (const wxString &string)
| Macro to be used around all literal strings that should be translated. More...